Subject: bug#64738: closed (Re: bug#64738: [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 Jul 2023 15:28:02 +0000

Your bug report

#64738: [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64738: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64738
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64738: [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.
From: John Kehayias <[email-masked]>
To: 宋文武 <[email-masked]>
Cc: Sigve Sudland <[email-masked]>, [email-masked]
Date: Mon, 31 Jul 2023 15:27:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jul 25, 2023 at 09:27 PM, John Kehayias wrote:

> Hello,
>
> On Fri, Jul 21, 2023 at 06:15 PM, 宋文武 wrote:
>
>> John Kehayias <[email-masked]> writes:
>>
>>> On Thu, Jul 20, 2023 at 06:58 PM, 宋文武 wrote:
>>>
>>>>>
>>>>>     gnu: mesa: Enable zstd compression for shader cache.
>>>>>
>>>>>     * gnu/packages/gl.scm (mesa)[inputs]: Add zstd:lib.
>>>>>     [arguments]: Add '-Dzstd=enabled' to configure-flags.
>>>>
>>>> Pushed to the mesa-updates branch, merging progress tracked in
>>>> <https://issues.guix.gnu.org/64369>.
>>>>
>>>> Thanks.
>>>
>>> An update here: I reset mesa-updates to just be the 2 commits from
>>> before this patch (that were already built on Cuirass) but rebased on
>>> master. Based on how many builds may be new, we can see what to do. I
>>> hope it is just a small amount of rebuilds so mesa-updates can be merged
>>> as is, and then include this and other patches for the next round.
>>>
>>> Hope that is okay, especially as I think this is a minor change to mesa,
>>> rather than a bug or missing hardware support.
>>>
>>
>> That's fine, thank you for take care of it.
>
> I ended up adding this (and other changes) to mesa-updates along with
> a mesa version bump and some other patches. Hopefully merging to
> master in the next few days once substitutes look good.
>
> Thanks!
> John

Pushed as 090c254fe7713db330636dae2c204c8282207cc8. Thanks!

Subject: [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.
From: Sigve Sudland <[email-masked]>
To: [email-masked]
Cc: Sigve Sudland <[email-masked]>
Date: Wed, 19 Jul 2023 23:02:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gl.scm (mesa): Enable zstd compression.
---
 gnu/packages/gl.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index 1691086e1a..2f54d8553d 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -299,7 +299,8 @@ (define-public mesa
            libxvmc
            llvm-for-mesa
            wayland
-           wayland-protocols))
+           wayland-protocols
+           `(,zstd "lib")))
     (native-inputs
      (list bison
            flex
@@ -362,6 +363,9 @@ (define-public mesa
          ;; Enable the codecs that were built by default as part of the
          ;; 21.3.x releases to avoid functionality regressions.
          "-Dvideo-codecs=vc1dec,h264dec,h264enc,h265dec,h265enc"
+
+         ;; Enable ZSTD compression for shader cache
+         "-Dzstd=enabled"

          ;; Also enable the tests.
          "-Dbuild-tests=true"

base-commit: ebb54e6a5fba36a571ed239398ee3e0307a91c26
--
2.41.0